## gifticlib 1.0.9

=== CMakeLists.txt ===
# This project is designed to be built outside the source tree.
# File generated by Simon K. Warfield simon.warfield@childrens.harvard.edu
# with support from NIH grant RR021885.
PROJECT(gifticlib)
cmake_minimum_required(VERSION 2.6)

# install destinations
SET(GIFTI_INSTALL_BIN_DIR "${CMAKE_INSTALL_PREFIX}/bin")
SET(GIFTI_INSTALL_LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib")
SET(GIFTI_INSTALL_INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/include/gifti")

FIND_PACKAGE(ITK)
IF(ITK_FOUND)
# ITK provides expat and zlib.
   INCLUDE(${ITK_USE_FILE})
   SET(EXPAT_LIBRARIES ITKEXPAT)
   SET(ZLIB_LIBRARIES ITKznz)
   SET(NIFTI_LIBRARIES ITKniftiio)
ELSE(ITK_FOUND)
# Otherwise, get it from elsewhere.
  FIND_PACKAGE(EXPAT)
  FIND_PACKAGE(ZLIB)
  FIND_LIBRARY(NIFTI_LIBRARY NAMES niftiio PATH /usr/local/nifti/lib )
  SET(NIFTI_LIBRARIES ${NIFTI_LIBRARY} znz m)
  FIND_PATH(NIFTI_INCLUDE_DIR nifti1.h /usr/local/nifti/include/nifti
                                       /usr/include/nifti)
  GET_FILENAME_COMPONENT(GIFTI_LINK_DIRECTORIES ${NIFTI_LIBRARY} PATH)
  LINK_DIRECTORIES(${GIFTI_LINK_DIRECTORIES})
  INCLUDE_DIRECTORIES(${NIFTI_INCLUDE_DIR})
ENDIF(ITK_FOUND)

# shared library API versioning -- NOT the same as the release version
SET(GIFTI_SHAREDLIB_VERSION "0.0.0")
STRING( REGEX MATCH "^[0-9]+" GIFTI_SHAREDLIB_SOVERSION ${GIFTI_SHAREDLIB_VERSION})
SET(GIFTI_LIBRARY_PROPERTIES VERSION ${GIFTI_SHAREDLIB_VERSION} SOVERSION ${GIFTI_SHAREDLIB_SOVERSION})

IF(ZLIB_FOUND)
  ADD_DEFINITIONS(-DHAVE_ZLIB)
ENDIF(ZLIB_FOUND)

INCLUDE_DIRECTORIES(
${CRKIT_SOURCE_DIR}/External
${gifticlib_SOURCE_DIR}
${gifticlib_BINARY_DIR}
)

SET(GIFTIIO_SRC gifti_io.c gifti_xml.c)

# shared version
ADD_LIBRARY(giftiio SHARED ${GIFTIIO_SRC})
# Set library version when building shared libs.
SET_TARGET_PROPERTIES(giftiio PROPERTIES ${GIFTI_LIBRARY_PROPERTIES})
TARGET_LINK_LIBRARIES(giftiio ${EXPAT_LIBRARIES} ${NIFTI_LIBRARIES})
IF(ZLIB_FOUND)
  TARGET_LINK_LIBRARIES(giftiio ${ZLIB_LIBRARIES})
ENDIF(ZLIB_FOUND)

# static version
ADD_LIBRARY(giftiio_static STATIC ${GIFTIIO_SRC})
#The library target "via_static" has a default OUTPUT_NAME of "via_static", can be changed with
SET_TARGET_PROPERTIES(giftiio_static PROPERTIES ${GIFTI_LIBRARY_PROPERTIES} OUTPUT_NAME "giftiio")

LINK_DIRECTORIES(${gifticlib_BINARY_DIR})

ADD_EXECUTABLE(gifti_tool gifti_tool.c)
TARGET_LINK_LIBRARIES(gifti_tool giftiio ${EXPAT_LIBRARIES} ${ZLIB_LIBRARIES} ${NIFTI_LIBRARIES})

ADD_EXECUTABLE(gifti_test gifti_test.c)
TARGET_LINK_LIBRARIES(gifti_test giftiio ${EXPAT_LIBRARIES} ${ZLIB_LIBRARIES} ${NIFTI_LIBRARIES})

# binaries
INSTALL(TARGETS giftiio giftiio_static gifti_tool gifti_test
    RUNTIME DESTINATION ${GIFTI_INSTALL_BIN_DIR} COMPONENT RuntimeLibraries
    LIBRARY DESTINATION ${GIFTI_INSTALL_LIB_DIR} COMPONENT RuntimeLibraries
    ARCHIVE DESTINATION ${GIFTI_INSTALL_LIB_DIR} COMPONENT Development)

# headers
INSTALL(FILES gifti_io.h gifti_xml.h
    DESTINATION ${GIFTI_INSTALL_INCLUDE_DIR}
    COMPONENT Development)

=== Makefile ===

# quick and dirty (getting dirtier) for now...

# might not have zlib
APPLY_ZLIB = -DHAVE_ZLIB

NIFTI_DIR = ../nifti

LIBTOOL = libtool

C_LIBFLAGS = -03 -fPIC -DPIC $(APPLY_ZLIB)
INST_DIR = /usr/lib
VER = 1.0.0

# CFLAGS = -Wall -Wextra -g -pedantic -std=c99 $(APPLY_ZLIB)
CFLAGS = -O3 $(APPLY_ZLIB)
IFLAGS = -I$(NIFTI_DIR)/include
LFLAGS = -L$(NIFTI_DIR)/lib

CC = gcc $(CFLAGS)

# for macs (getting expat from fink)
# IFLAGS = -I/sw/include $(IFLAGS)
# LFLAGS = -L/sw/lib $(LFLAGS)

gifti_tool: gifti_tool.o gifti_io.o gifti_xml.o
	$(RM) $@
	$(CC) -o $@ gifti_tool.o gifti_io.o gifti_xml.o \
	      $(LFLAGS) -lexpat -lniftiio -lznz -lz -lm

gifti_test: gifti_test.o gifti_io.o gifti_xml.o
	$(RM) $@
	$(CC) -o $@ gifti_test.o gifti_io.o gifti_xml.o \
	      $(LFLAGS) -lexpat -lniftiio -lznz -lz -lm

libgiftiio_la:
	$(LIBTOOL) --mode=compile $(CC) $(IFLAGS) -o gifti_io.lo -c gifti_io.c
	$(LIBTOOL) --mode=compile $(CC) $(IFLAGS) -o gifti_xml.lo -c gifti_xml.c
	$(LIBTOOL) --mode=link $(CC) -release $(VER) -o libgiftiio.la gifti_io.lo gifti_xml.lo -rpath $(INST_DIR) $(LFLAGS) -lexpat -lniftiio -lznz -lz -lm

libgiftiio: libgiftiio_la
	$(LIBTOOL) --mode=install install -c libgiftiio.la $(INST_DIR)

all: gifti_tool gifti_test libgiftiio

clean:
	$(RM) gifti_tool *.o

clean_all:
	$(RM) gifti_test gifti_tool *.o
	$(RM) gifti*.lo*
	$(RM) libgifti*.la
	$(RM) *.so

%.o: %.c %.h
	$(RM) $@
	$(CC) $(IFLAGS) -c $<

=== debian/changelog ===
gifticlib (1.0.9-7) unstable; urgency=medium

  * Team upload.
  * Fix build with CMake 4
    Closes: #1112954
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Oct 2025 13:53:04 +0200

gifticlib (1.0.9-6) unstable; urgency=medium

  * d/control: add myself to uploaders
  * d/t/run-unit-test: take endianness of the underlying system into account.
    Thanks to Paul Gevers for the hint!  (Closes: #1013162)
  * d/control: differentiate development package description.
  * d/watch: use https protocol instead of http.
  * d/control: declare compliance to standards version 4.6.1.
  * Add typos.patch: fix a typo caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Mon, 27 Jun 2022 20:48:20 +0200

gifticlib (1.0.9-5) unstable; urgency=medium

  * Team upload.
  * Add autopkgtests
  * Install examples
  * Add copyright for test data
  * Fix blhc
  * Add patch to fix reprotest
  * Add manpage for gifti_tool

 -- Mohammed Bilal <mdbilal@disroot.org>  Sat, 04 Jun 2022 00:23:24 +0530

gifticlib (1.0.9-4) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Med team
  * Build-Depends: s/libnifti-dev/libnifti2-dev/
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update watch file format version to 4.
  * Remove Section on libgiftiio0 that duplicates source.

 -- Andreas Tille <tille@debian.org>  Mon, 07 Dec 2020 15:40:28 +0100

gifticlib (1.0.9-3) unstable; urgency=medium

  * Team upload.
  * Add SciCrunch ID
  * debhelper 9
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * d/copyright:
     - Explicit BSD-3-clause license
     - cme fix dpkg-copyright
  * hardening=+all
  * Drop DM-Upload-Allowed
  * Avoid brace expansion in debhelper file

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 08:54:18 +0100

gifticlib (1.0.9-2) unstable; urgency=medium

  * debian/control
    - -dev should depend on libnifti-dev due to include of nifti1_io.h
      (Closes: #867550)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 25 Jan 2018 11:19:48 -0500

gifticlib (1.0.9-1) unstable; urgency=low

  * New upstream release. Merged cmake patch.
  * Adjust build-dependency on libnifti-dev (no versioned -dev package
    anymore).
  * Bump Standards-version to 3.9.0, no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 21 Jul 2010 09:30:12 -0400

gifticlib (1.0.8-1) unstable; urgency=low

  * Initial Debian packaging based on debhelper's "dh" and using the new source
    package format 3.0 (quilt). Closes: #587047.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 25 Apr 2010 12:47:51 -0400

=== debian/control ===
Source: gifticlib
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Michael Hanke <michael.hanke@gmail.com>,
 Yaroslav Halchenko <debian@onerussian.com>,
 Étienne Mollier <emollier@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 zlib1g-dev,
 libnifti2-dev,
 libexpat1-dev | libexpat-dev,
Vcs-Browser: https://salsa.debian.org/med-team/gifticlib
Vcs-Git: https://salsa.debian.org/med-team/gifticlib.git
Homepage: http://www.nitrc.org/projects/gifti
Rules-Requires-Root: no

Package: libgiftiio0
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: IO library for the GIFTI cortical surface data format
 GIFTI is an XML-based file format for cortical surface data. This reference
 IO implementation is developed by the Neuroimaging Informatics Technology
 Initiative (NIfTI).
 .
 This package contains the shared library.

Package: libgiftiio-dev
Architecture: any
Section: libdevel
Depends:
 libgiftiio0 (= ${binary:Version}),
 libnifti-dev,
 ${shlibs:Depends},
 ${misc:Depends},
Description: IO library for the GIFTI cortical surface data format - headers
 GIFTI is an XML-based file format for cortical surface data. This reference
 IO implementation is developed by the Neuroimaging Informatics Technology
 Initiative (NIfTI).
 .
 This package provides the header files and static library.

Package: gifti-bin
Architecture: any
Section: utils
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: tools shipped with the GIFTI library
 GIFTI is an XML-based file format for cortical surface data. This reference
 IO implementation is developed by the Neuroimaging Informatics Technology
 Initiative (NIfTI).
 .
 This package provides the tools that are shipped with the library
 (gifti_tool and gifti_test).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# one ring to rule them all ...
%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure-arch:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

=== debian/watch ===
Version: 5

Source: https://www.nitrc.org/frs/?group_id=75
Matching-Pattern: .*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
